Loading...
Searching...
No Matches
QGpgME::QGpgMEAddUserIDJob Class Reference
Inheritance diagram for QGpgME::QGpgMEAddUserIDJob:
[legend]
Collaboration diagram for QGpgME::QGpgMEAddUserIDJob:
[legend]

## Public Member Functions

| QGpgMEAddUserIDJob (GpgME::Context *context)
GpgME::Error | start (const GpgME::Key &key, const QString &name, const QString &email, const QString &comment) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< AddUserIDJob >
void | run ()
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< AddUserIDJob >
typedef ThreadedJobMixin< AddUserIDJob, void, std::tuple< GpgME::Error, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::Error, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::AddUserIDJob
void | result (const GpgME::Error &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< AddUserIDJob >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::AddUserIDJob
| AddUserIDJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## start()

Error QGpgMEAddUserIDJob::start | ( | const GpgME::Key & | key,
|  | const QString & | name,
|  | const QString & | email,
|  | const QString & | comment )

override virtual

Starts the operation. key is the key to add the UID to. name, email and comment are the components of the user id.

Implements QGpgME::AddUserIDJob.

The documentation for this class was generated from the following files:

- qgpgmeadduseridjob.h
- qgpgmeadduseridjob.cpp